# OgreBillboardChain.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreMovableObject.h"`
`#include "OgreRenderable.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::BillboardChain
| Allows the rendering of a chain of connected billboards. More...
class | Ogre::BillboardChain::Element
| Contains the data of an element of the BillboardChain. More...
struct | Ogre::BillboardChain::ChainSegment
| Simple struct defining a chain segment by referencing a subset of the preallocated buffer (which will be mMaxElementsPerChain * mChainCount long), by it's chain index, and a head and tail value which describe the current chain. More...
class | Ogre::BillboardChainFactory
| Factory object for creating BillboardChain instances. More...

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:32:21 2009